# Gmagick::scaleimage

(PECL gmagick >= Unknown)

Gmagick::scaleimage — Scales the size of an image

### Description

public Gmagick::scaleimage ( int `$width` , int `$height` [, bool `$fit` = `FALSE` ] ) : Gmagick

Scales the size of an image to the given dimensions. The other parameter will be calculated if 0 is passed as either param.

### Parameters

`width`

  The number of columns in the scaled image.

`height`

  The number of rows in the scaled image.

### Return Values

The Gmagick object on success.

### Errors/Exceptions

Throws an GmagickException on error.